## libkf5kipi 18.12.3

=== debian/changelog ===
libkf5kipi (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:46 +0000

libkf5kipi (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:45 +0000

libkf5kipi (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:15 +0000

libkf5kipi (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:31 +0000

libkf5kipi (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Epoch added by Debian.
  * Merge Debian changes. Remaining changes:
    - Kubuntu Vcs fields.
    - Pass -fno-keep-inline-functions to acc test.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 09:56:55 +0000

libkf5kipi (18.11.80-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream beta release (18.11.80)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Nov 2018 13:01:02 +0000

=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi

Package: libkf5kipi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi-data (<< 4:15.08.3-0ubuntu1~),
          libkipi0,
          libkipi5,
          libkipi6,
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkipi-data (<< 4:15.08.3-0ubuntu1~),
        libkipi0,
        libkipi5,
        libkipi6,
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package contains the data files of the kipi library.

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi32.0.0
Architecture: any
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the kipi library.

## libkf5kipi 19.04.3

=== debian/changelog ===
libkf5kipi (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:24 +0100

libkf5kipi (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:58 +0100

libkf5kipi (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:56 +0100

libkf5kipi (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,9 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         pkg-config,
+         ${misc:Depends},
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations

## libkf5kipi 19.08.1

=== debian/changelog ===
libkf5kipi (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop old breaks/replaces in libkf5kipi-data.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch from dhmk to dh with kf5 addon, and as-needed linking.
  * Drop the pkg-config dependency in libkf5kipi-dev, no more needed now.
  * Mark libkf5kipi32.0.0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 11:27:51 +0200

=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.1.0~),
               libkf5config-dev (>= 5.1.0~),
               libkf5i18n-dev (>= 5.1.0~),
               libkf5service-dev (>= 5.1.0~),
               libkf5xmlgui-dev (>= 5.1.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git

Package: libkf5kipi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package contains the data files of the kipi library.

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi32.0.0
Architecture: any
Multi-Arch: same
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the kipi library.

## libkf5kipi 19.12.3

=== tests/plugins/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/kxmlhelloworld
                    ${CMAKE_CURRENT_BINARY_DIR}/../../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/../../src
                    ${CMAKE_CURRENT_BINARY_DIR}
)

set(kipiplugin_kxmlhelloworld_PART_SRCS
    kxmlhelloworld/plugin_kxmlhelloworld.cpp
)

add_library(kipiplugin_kxmlhelloworld MODULE ${kipiplugin_kxmlhelloworld_PART_SRCS})

target_link_libraries(kipiplugin_kxmlhelloworld
                      KF5Kipi
)

configure_file(kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_kxmlhelloworld                                                    DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kxmlhelloworld/kipiplugin_kxmlhelloworldui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== debian/changelog ===
libkf5kipi (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:10 +0000

libkf5kipi (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:14 +0000

libkf5kipi (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:34 +0000

libkf5kipi (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:14 +0000

libkf5kipi (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)
  * Restore Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:50 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
 
 Package: libkf5kipi-data
 Architecture: all
@@ -34,7 +34,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## libkf5kipi 20.08.1

=== debian/changelog ===
libkf5kipi (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:27 +0100

libkf5kipi (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not ship TODO, as it is not useful for users.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 09:59:48 +0200

libkf5kipi (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:49:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
@@ -12,10 +12,11 @@
                libkf5xmlgui-dev (>= 5.1.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
 Package: libkf5kipi-data
 Architecture: all

## libkf5kipi 20.12.1

=== pics/CMakeLists.txt ===
#
# Copyright (c) 2010-2018, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        128-apps-kipi.png
        16-apps-kipi.png
        22-apps-kipi.png
        32-apps-kipi.png
        48-apps-kipi.png
    DESTINATION ${ICON_INSTALL_DIR}
)

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2018, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libkipi_config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

qt5_add_resources(libkipiresources_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../pics/libkipi.qrc)

set(kipi_LIB_SRCS interface.cpp
                  imagecollection.cpp
                  imagecollectionshared.cpp
                  imageinfoshared.cpp
                  plugin.cpp
                  imageinfo.cpp
                  uploadwidget.cpp
                  imagecollectionselector.cpp
                  configwidget.cpp
                  pluginloader.cpp
                  libkipi_debug.cpp

                  ${libkipiresources_SRCS}
)

ecm_generate_headers(kipi_CamelCase_HEADERS

                     HEADER_NAMES
                     Plugin
                     PluginLoader
                     Interface
                     ImageInfo
                     ImageCollection
                     ImageInfoShared
                     ImageCollectionShared
                     ImageCollectionSelector
                     UploadWidget
                     ConfigWidget

                     PREFIX           KIPI
                     REQUIRED_HEADERS kipi_HEADERS
)

add_library(KF5Kipi SHARED ${kipi_LIB_SRCS})
add_library(KF5::Kipi ALIAS KF5Kipi)

generate_export_header(KF5Kipi BASE_NAME libkipi EXPORT_MACRO_NAME LIBKIPI_EXPORT)

# disable adding of current source directory to interface, as it causes naming clashes
set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE OFF)

target_include_directories(KF5Kipi INTERFACE
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KIPI;${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
)

target_link_libraries(KF5Kipi
                      PUBLIC
                      Qt5::Gui
                      Qt5::Widgets

                      KF5::XmlGui
                      KF5::Service
                      KF5::ConfigCore
)

set_target_properties(KF5Kipi     PROPERTIES
                      VERSION     ${KIPI_VERSION_STRING}
                      SOVERSION   ${KIPI_SOVERSION}
                      EXPORT_NAME Kipi
)

install(TARGETS KF5Kipi
        EXPORT  KF5KipiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)


# desktop file which define plugin service model, used by tools from kipi-plugins.
install(FILES kipiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(FILES       ${kipi_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/KIPI
        COMPONENT   Devel
)

install(FILES       ${kipi_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi
        COMPONENT   Devel
)


install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkipi_export.h
                    ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi
        COMPONENT   Devel
)

install(FILES       "${CMAKE_CURRENT_BINARY_DIR}/libkipi_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT   Devel
)

=== debian/changelog ===
libkf5kipi (4:20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kipi-dev: Add Multi-Arch: same.

  [ Pino Toscano ]
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Stop shipping the upstream README in libkf5kipi-data, as it does not
    provide useful information for users.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 14:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libkf5xmlgui-dev (>= 5.1.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
@@ -35,8 +35,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/libkipi-([\d.]+)\.tar\.xz

## libkf5kipi 20.12.3

=== debian/changelog ===
libkf5kipi (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:33 +0000

libkf5kipi (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:55 +0000

## libkf5kipi 21.08.0

=== debian/changelog ===
libkf5kipi (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:36:25 +0900

libkf5kipi (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:15:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0.0),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
+               libjpeg-dev,
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
                libkf5service-dev (>= 5.1.0~),
                libkf5xmlgui-dev (>= 5.1.0~),
+               libpng-dev,
+               libtiff-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1

## libkf5kipi 21.08.1

=== debian/changelog ===
libkf5kipi (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:26 +0100

libkf5kipi (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:06 +0100

libkf5kipi (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:33 +0100

libkf5kipi (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:31 +0100

libkf5kipi (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:23 +0100

libkf5kipi (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:46 +0100

libkf5kipi (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:10 +0100

libkf5kipi (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
-               libjpeg-dev,
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
                libkf5service-dev (>= 5.1.0~),
                libkf5xmlgui-dev (>= 5.1.0~),
-               libpng-dev,
-               libtiff-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1
@@ -38,7 +35,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations

## libkf5kipi 21.12.3

=== debian/changelog ===
libkf5kipi (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:24 +0000

libkf5kipi (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:59 +0000

libkf5kipi (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:49 +0000

libkf5kipi (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:53 +0000

libkf5kipi (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:13:04 +0000

libkf5kipi (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:11 +0000

libkf5kipi (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:13 +0000

libkf5kipi (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0),
                debhelper-compat (= 13),
@@ -15,8 +16,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
 
 Package: libkf5kipi-data
 Architecture: all

## libkf5kipi 22.08.1

=== debian/changelog ===
libkf5kipi (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:36 +0100

libkf5kipi (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:47 +0100

libkf5kipi (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:45 +0100

libkf5kipi (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:24 +0100

libkf5kipi (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:34 +0100

libkf5kipi (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:53 +0100

## libkf5kipi 22.12.3

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010-2018 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libkipi_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

set(KIPI_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KIPI)

add_library(KF5Kipi)
add_library(KF5::Kipi ALIAS KF5Kipi)
set_target_properties(KF5Kipi PROPERTIES
    VERSION     ${KIPI_VERSION}
    SOVERSION   ${KIPI_SOVERSION}
    EXPORT_NAME Kipi
)

target_sources(KF5Kipi PRIVATE
    interface.cpp
    imagecollection.cpp
    imagecollectionshared.cpp
    imageinfoshared.cpp
    plugin.cpp
    imageinfo.cpp
    uploadwidget.cpp
    imagecollectionselector.cpp
    configwidget.cpp
    pluginloader.cpp

    ${CMAKE_CURRENT_SOURCE_DIR}/../pics/libkipi.qrc
)

ecm_generate_headers(kipi_CamelCase_HEADERS

                     HEADER_NAMES
                     Plugin
                     PluginLoader
                     Interface
                     ImageInfo
                     ImageCollection
                     ImageInfoShared
                     ImageCollectionShared
                     ImageCollectionSelector
                     UploadWidget
                     ConfigWidget

                     PREFIX           KIPI
                     REQUIRED_HEADERS kipi_HEADERS
)

generate_export_header(KF5Kipi BASE_NAME libkipi EXPORT_MACRO_NAME LIBKIPI_EXPORT)

ecm_qt_declare_logging_category(KF5Kipi
    HEADER libkipi_debug.h
    IDENTIFIER LIBKIPI_LOG
    CATEGORY_NAME kipi.library
    DESCRIPTION "KIPI Library"
    EXPORT KIPI
)

# disable adding of current source directory to interface, as it causes naming clashes
set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE OFF)

target_include_directories(KF5Kipi INTERFACE
                           "$<INSTALL_INTERFACE:${KIPI_INSTALL_INCLUDEDIR};${KIPI_INSTALL_INCLUDEDIR}/kipi>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
)

target_link_libraries(KF5Kipi
                      PUBLIC
                      Qt5::Gui
                      Qt5::Widgets

                      KF5::XmlGui
                      KF5::Service
                      KF5::ConfigCore
)

install(TARGETS KF5Kipi
        EXPORT  KF5KipiTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)


# desktop file which define plugin service model, used by tools from kipi-plugins.
install(FILES kipiplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

install(FILES   ${kipi_CamelCase_HEADERS}
    DESTINATION ${KIPI_INSTALL_INCLUDEDIR}/KIPI # C++ namespace
    COMPONENT   Devel
)

install(FILES
        ${kipi_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/libkipi_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h
    DESTINATION ${KIPI_INSTALL_INCLUDEDIR}/kipi # C++ namespace
    COMPONENT   Devel
)

install(FILES       "${CMAKE_CURRENT_BINARY_DIR}/libkipi_version.h"
        DESTINATION "${KIPI_INSTALL_INCLUDEDIR}"
        COMPONENT   Devel
)


ecm_qt_install_logging_categories(
    EXPORT KIPI
    FILE kipi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== tests/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/kxmlhelloworld
                    ${CMAKE_CURRENT_BINARY_DIR}/../../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/../../src
                    ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(kipiplugin_kxmlhelloworld MODULE kxmlhelloworld/plugin_kxmlhelloworld.cpp)

target_link_libraries(kipiplugin_kxmlhelloworld
                      KF5Kipi
)

configure_file(kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kxmlhelloworld/kipiplugin_kxmlhelloworld.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kipiplugin_kxmlhelloworld                                                    DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES   kxmlhelloworld/kipiplugin_kxmlhelloworldui.rc                                DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kipi)

=== debian/changelog ===
libkf5kipi (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:03 +0100

libkf5kipi (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:23 +0100

libkf5kipi (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:59 +0100

libkf5kipi (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:07 +0100

libkf5kipi (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0.0),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.1.0~),
-               libkf5config-dev (>= 5.1.0~),
+               extra-cmake-modules (>= 5.85.0~),
+               libjpeg-dev,
+               libkf5config-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.1.0~),
-               libkf5service-dev (>= 5.1.0~),
-               libkf5xmlgui-dev (>= 5.1.0~),
+               libkf5service-dev (>= 5.85.0~),
+               libkf5xmlgui-dev (>= 5.85.0~),
+               libpng-dev,
+               libtiff-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
 Package: libkf5kipi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Image Plugin Interface library -- data files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
@@ -36,8 +39,7 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends},
 Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations

## libkf5kipi 23.08.0

=== debian/changelog ===
libkf5kipi (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:58 +0100

libkf5kipi (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:24 +0100

libkf5kipi (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:35 +0100

libkf5kipi (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:28 +0100

libkf5kipi (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:13 +0000

libkf5kipi (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:28:23 -0600

libkf5kipi (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:58 +0000

libkf5kipi (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 15:57:42 +0000

libkf5kipi (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:03 +0000

libkf5kipi (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:13 +0000

libkf5kipi (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:51 +0000

libkf5kipi (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:01 +0000

## libkf5kipi 23.08.1

=== debian/changelog ===
libkf5kipi (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:56 +0100

## libkf5kipi 23.08.4

=== debian/changelog ===
libkf5kipi (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:08 +0000

libkf5kipi (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:37 +0000

libkf5kipi (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:34 +0100

## libkf5kipi 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010-2018 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16.0)

project(libkipi)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

set(KF_MIN_VERSION      "5.91.0")
set(QT_MIN_VERSION      "5.15.2")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.0.0
# 0.1.1 => 0.0.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 1.0.1
# 0.1.5 => 1.1.1
# 0.1.6 => 2.0.0
# 0.2.0 => 5.0.0  (released with KDE 4.1.0).
# 0.3.0 => 6.0.0  (released with KDE 4.2.0).
# 0.4.0 => 6.1.0  (released with KDE 4.3.0).
# 1.0.0 => 7.0.0  (released with KDE 4.4.0).
# 1.1.0 => 7.1.0  (released with KDE 4.5.0).
# 1.2.0 => 8.0.0  (released with KDE 4.6.0).
# 1.3.0 => 8.0.1  (released with KDE 4.7.1  - Set deprecated ImageInfo::title() and ImageInfo::setTitle(). Add ImageInfo::name() and ImageInfo::setName().
# 1.4.0 => 8.0.2  (released with KDE 4.8.0  - Add 2 new slots in ConfigWidget class).
# 1.5.0 => 9.0.0  (released with KDE 4.8.1  - Add Progress Manager feature support from Host application. Remove deprecated methods.
#                                             Add new deprecated methods in ImageInfo class: description(), setDescription(),
#                                             angle(), and setAngle()).
# 1.6.0 => 9.1.0  (released with KDE 4.8.1  - Minor API fix).
# 2.0.0 => 10.0.0 (released with KDE 4.10.0 - Including GoSC2012).
# 2.1.0 => 11.0.0 (released with KDE 4.11.0 - Add edit hints).
# 2.2.0 => 11.1.0 (released with KDE 4.14.0 - Apply patch #89165 from bug #340030).
# 5.0.0 => 30.0.0 (Released with KDE Applications <= 15.12)
# 5.1.0 => 31.0.0 (Released with KDE Applications 16.04)
# 5.2.0 => 32.0.0 (Released with KDE Applications 16.05 - Fix API with pure virtual methods)

# Library API version
set(KIPI_LIB_MAJOR_VERSION "5")
set(KIPI_LIB_MINOR_VERSION "2")
set(KIPI_LIB_PATCH_VERSION "0")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KIPI_LIB_SO_CUR_VERSION "32")
set(KIPI_LIB_SO_REV_VERSION "0")
set(KIPI_LIB_SO_AGE_VERSION "0")

SET(LIBKIPI_LIB_VERSION "${KIPI_LIB_MAJOR_VERSION}.${KIPI_LIB_MINOR_VERSION}.${KIPI_LIB_PATCH_VERSION}")
SET(LIBKIPI_SO_VERSION  "${KIPI_LIB_SO_CUR_VERSION}.${KIPI_LIB_SO_REV_VERSION}.${KIPI_LIB_SO_AGE_VERSION}")

############## ECM setup ######################

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkkipi_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(CMakePackageConfigHelpers)


############## Find Packages ###################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
             Core
             Widgets
             Gui
)

find_package(KF5 ${KF_MIN_VERSION}
             REQUIRED COMPONENTS
             Config
             XmlGui
             Service
)

ecm_setup_version(${LIBKIPI_LIB_VERSION}
                  VARIABLE_PREFIX      KIPI
                  VERSION_HEADER       "src/libkipi_version.h"
                  PACKAGE_VERSION_FILE "KF5KipiConfigVersion.cmake"
                  SOVERSION            ${LIBKIPI_SO_VERSION})

############## Targets #########################

add_definitions(-DTRANSLATION_DOMAIN=\"libkipi\")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
    KCOREADDONS 5.85 # indirectly KService::createInstance
    KSERVICE 5.85 # KService::createInstance
)

add_subdirectory(pics)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

############## CMake Config Files ##############

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kipi")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/KF5KipiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KipiConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KipiConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KipiConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT   Devel
)

install(EXPORT      KF5KipiTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE        KF5KipiTargets.cmake
        NAMESPACE   KF5::
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5kipi (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:04:33 +0000

libkf5kipi (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:36:44 +0000

libkf5kipi (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:23:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -16,16 +17,16 @@
                libtiff-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
 
 Package: libkf5kipi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: KDE Image Plugin Interface library -- data files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
@@ -39,7 +40,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
